Subject: bug#78907: 31.0.50; Loading "elisa.el" crashes Emacs

From: Sergey Kostyaev <[email-masked]>
Date: Sun, 29 Jun 2025 02:04:18 +0000

Looks like incompatible architecture. Which cpu architecture do you have Michael?

Best regards,
Sergey Kostyaev 

28 июня 2025 г. 15:51:03 UTC, Michael Heerdegen <[email-masked]> пишет:
>Eli Zaretskii <[email-masked]> writes:
>
>> > | micha> emacs -nw
>> > | Fatal error 4: Illegal instruction
>> > | Backtrace:
>> > | /home/micha/bin/emacs(+0x190690)[0x5594085d9690]
>> > | /home/micha/bin/emacs(+0x4803a)[0x55940849103a]
>> > | /home/micha/bin/emacs(+0x48558)[0x559408491558]
>> > | /home/micha/bin/emacs(+0x18ec78)[0x5594085d7c78]
>> > | /home/micha/bin/emacs(+0x18ed69)[0x5594085d7d69]
>> > | /lib/x86_64-linux-gnu/libc.so.6(+0x3d580)[0x7f3683829580]
>> > | /home/micha/.emacs.d/elisa/vss0.so(+0xb4458)[0x7f367e2b4458]
>> > | /lib64/ld-linux-x86-64.so.2(+0x4e7e)[0x7f368597ae7e]
>> > | /lib64/ld-linux-x86-64.so.2(+0x4f64)[0x7f368597af64]
>> > | /lib64/ld-linux-x86-64.so.2(_dl_catch_exception+0x106)[0x7f3685977516]
>> > | /lib64/ld-linux-x86-64.so.2(+0xb76e)[0x7f368598176e]
>> > | /lib64/ld-linux-x86-64.so.2(_dl_catch_exception+0x79)[0x7f3685977489]
>> > | /lib64/ld-linux-x86-64.so.2(+0xbae8)[0x7f3685981ae8]
>> > | /lib/x86_64-linux-gnu/libc.so.6(+0x85fb8)[0x7f3683871fb8]
>> > | /lib64/ld-linux-x86-64.so.2(_dl_catch_exception+0x79)[0x7f3685977489]
>> > | /lib64/ld-linux-x86-64.so.2(+0x15af)[0x7f36859775af]
>> > | /lib/x86_64-linux-gnu/libc.so.6(+0x85ac7)[0x7f3683871ac7]
>> > | /lib/x86_64-linux-gnu/libc.so.6(dlopen+0x69)[0x7f3683872069]
>> > | /lib/x86_64-linux-gnu/libsqlite3.so.0(sqlite3_load_extension+0x11b)[0x7f3683a7234b]
>>
>> It looks like the crash is inside the vss sqlite extension, which
>> elisa downloads.  That extension is downloaded as a binary compiled
>> library, and I suspect that it was built for an incompatible
>> architecture or something.
>
>Looks like you are right: when I delete that file, loading elisa.el
>doesn't crash Emacs any more.  And when I download it again, the crash
>reappears.
>
>> So I suggest to report this to the developers of elisa.
>
>According to the file header that should be Sergey Kostyaev.  Sergey,
>any comment?
>
>
>TIA,
>
>Michael.
>
>